Page MenuHomePhabricator

Enable and test cookie blocking on English Wikipedia
Closed, ResolvedPublic3 Story Points

Description

Once cookie blocking has been tested on Test Wikipedia (T158129), let's enable it on English Wikipedia (per 2015 Community Wishlist request). If it works well there, we can enable it by default for all wikis.

The config variable is $wgCookieSetOnAutoblock in InitializeSettings.php.

To-dos:

  • Check the autoblock list to see if it's going crazy or staying sane.
    • Also see if we can get Special:AutoblockList (T146414) on the next deployment train. This will help with gauging collateral damage.
  • Make sure EventLogging data is being logged and of a reasonable volume.
  • Inform the folks on the wiki (Tech News, Admin News and Admin noticeboard on enwiki)

Event Timeline

kaldari created this task.Dec 1 2016, 7:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 1 2016, 7:51 AM

Change 324672 had a related patch set uploaded (by Kaldari):
Enable cookie blocking on English Wikipedia

https://gerrit.wikimedia.org/r/324672

kaldari triaged this task as Normal priority.Dec 1 2016, 7:53 AM
Paladox added a subscriber: Paladox.Dec 1 2016, 8:34 AM
Peachey88 added a subscriber: Peachey88.

Have you notified the en.wikipedia community anywhere?

Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptDec 3 2016, 12:07 AM

Have you notified the en.wikipedia community anywhere?

Working on that! But it was already announced on Tech News.

Stryn added a subscriber: Stryn.Jan 9 2017, 8:13 AM
kaldari updated the task description. (Show Details)Feb 28 2017, 6:13 PM
kaldari updated the task description. (Show Details)
kaldari updated the task description. (Show Details)
kaldari set the point value for this task to 3.Feb 28 2017, 6:15 PM
kaldari moved this task from To be estimated/discussed to Estimated on the Community-Tech board.

This should actually happen soon, as all blockers are cleared and we've successfully tested the latest code on Test Wikipedia. Expect an announcement on English Wikipedia some time next week (hopefully).

MusikAnimal updated the task description. (Show Details)Mar 29 2017, 9:55 AM

Change 324672 merged by Kaldari:
[operations/mediawiki-config@master] Enable cookie blocking on English Wikipedia

https://gerrit.wikimedia.org/r/324672

MusikAnimal closed this task as Resolved.Mar 30 2017, 3:54 PM
MusikAnimal claimed this task.
Zache added a subscriber: Zache.Apr 8 2017, 2:19 AM
DannyH moved this task from Estimated to Archive on the Community-Tech board.Apr 25 2017, 1:45 AM